Package org.gradle.tooling.model.gradle

## Interface ProjectPublications

- All Superinterfaces:
    `Model`, `ProjectModel`

      public interface ProjectPublications
      extends Model, ProjectModel

  A model providing information about the publications of a Gradle project.
  Since:
    1.12

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ProjectIdentifier` | `getProjectIdentifier()` | Returns the identifier for the Gradle project that these publications originate from.
    `DomainObjectSet<? extends GradlePublication>` | `getPublications()` | Returns the publications for this project.

- - ### Method Detail

    - #### getProjectIdentifier

          ProjectIdentifier getProjectIdentifier()

      Returns the identifier for the Gradle project that these publications originate from.
      Specified by:
        `getProjectIdentifier` in interface `ProjectModel`
      Since:
        2.13

    - #### getPublications

          DomainObjectSet<? extends GradlePublication> getPublications()

      Returns the publications for this project.